package com.adealink.weparty.module.widget.form.field.singletext

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class SingleTextDelegate :
    WidgetDelegate<SingleTextWidgetData, SingleTextWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: SingleTextWidgetData
    ): SingleTextWidgetView {
        val widget = SingleTextWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner, data)
        return widget
    }
}